createCloudMysqlRecoveryInstance

Prev Next

Available in VPC

Create a recovery server instance in a Cloud DB for MySQL instance.
The recovery server instance you create can perform data recovery operations based on backup files or point-in-time database snapshots in the event of data loss or system failure on the master server.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmysql/v2/createCloudMysqlRecoveryInstance
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for MySQL instance for which you want to create a recovery server instance.
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudMysqlInstanceNo String Required Cloud DB for MySQL instance number
subnetNo String Conditional Subnet number of the default network interface to be used in the Cloud DB for MySQL instance
  • See getCloudMysqlTargetSubnetList.
  • Required for a Cloud DB for MySQL instance configured with multi-zone (isMultiZone=true)
  • For a Cloud DB for MySQL instance whose multi-zone is not configured (isMultiZone=false), the subnetNo entry is ignored and it is created in the existing subnetNo.
  • Subscription to public domains can only be done in a DB server created in public subnet.
  • Subnet migrations are not available after creating the Cloud DB for MySQL recovery instance.
fileName String Conditional Backup file name
  • Entering fileName ignores the recoveryTime entry.
  • At least one of fileName and recoveryTime is required.
  • When restoring the backup file, it restores to the time the backup was completed.
  • See getCloudMysqlBackupDetailList.
recoveryTime String Conditional Time of point-in-time recovery (yyyy-MM-dd HH:mm)
  • Entering recoveryTime ignores the fileName entry.
  • At least one of fileName and recoveryTime is required.
  • See getCloudMysqlRecoveryTime.
cloudMysqlRecoveryServerName String Required Cloud DB for MySQL recovery server instance name
  • Enter 3-20 characters, including English letters, numbers, and special character "-".
  • The string must begin with an English letter and end with an English letter or number.
  • A 3-digit number is automatically generated after the prefix, with additional random text to prevent hostname duplication.
  • e.g., If the prefix is test-123: test-123-001-4y1v
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/createCloudMysqlRecoveryInstance
?regionCode=KR
&cloudMysqlInstanceNo=****890
&subnetNo=****91
&fileName=20210722
&cloudMysqlRecoveryServerName=test-recovery' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudMysqlInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "createCloudMysqlRecoveryInstanceResponse": {
        "totalRows": 1,
        "cloudMysqlInstanceList": [
            {
                "cloudMysqlInstanceNo": "****890",
                "cloudMysqlServiceName": "test-****",
                "cloudMysqlInstanceStatusName": "creating",
                "cloudMysqlInstanceStatus": {
                    "code": "CREAT",
                    "codeName": "CLOUD DATABASE(VPC) Created State"
                },
                "cloudMysqlInstanceOperation": {
                    "code": "NULL",
                    "codeName": "CLOUD DATABASE(VPC) Null OP"
                },
                "cloudMysqlImageProductCode": "SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050",
                "engineVersion": "MYSQL8.0.25",
                "license": {
                    "code": "GPL",
                    "codeName": "General Public License"
                },
                "cloudMysqlPort": 13306,
                "isHa": true,
                "isMultiZone": true,
                "isBackup": true,
                "backupFileRetentionPeriod": 10,
                "backupTime": "02:00",
                "generationCode": "G2",
                "createDate": "2024-05-23T11:25:09+0900",
                "accessControlGroupNoList": [
                    "****58"
                ],
                "cloudMysqlConfigList": [],
                "cloudMysqlServerInstanceList": [
                    {
                        "cloudMysqlServerInstanceNo": "****891",
                        "cloudMysqlServerName": "test-****-001-e04",
                        "cloudMysqlServerRole": {
                            "code": "M",
                            "codeName": "Master"
                        },
                        "cloudMysqlServerInstanceStatusName": "running",
                        "cloudMysqlServerInstanceStatus": {
                            "code": "RUN",
                            "codeName": "CLOUD DATABASE(VPC) Server Running State"
                        },
                        "cloudMysqlServerInstanceOperation": {
                            "code": "NOOP",
                            "codeName": "CLOUD DATABASE(VPC) Server Null OP"
                        },
                        "cloudMysqlProductCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002",
                        "regionCode": "KR",
                        "zoneCode": "KR-1",
                        "vpcNo": "****83",
                        "subnetNo": "****91",
                        "isPublicSubnet": true,
                        "publicDomain": "db-****.vpc-pub-cdb.ntruss.com",
                        "privateDomain": "db-****.vpc-cdb.ntruss.com",
                        "privateIp": "***.***.***.***",
                        "dataStorageType": {
                            "code": "SSD",
                            "codeName": "SSD"
                        },
                        "isStorageEncryption": true,
                        "dataStorageSize": 10737418240,
                        "usedDataStorageSize": 2791728640,
                        "cpuCount": 2,
                        "memorySize": 8589934592,
                        "uptime": "2024-05-23T11:34:39+0900",
                        "createDate": "2024-05-23T11:25:09+0900"
                    },
                    {
                        "cloudMysqlServerInstanceNo": "****897",
                        "cloudMysqlServerName": "test-****-002-e05",
                        "cloudMysqlServerRole": {
                            "code": "H",
                            "codeName": "Standby Master"
                        },
                        "cloudMysqlServerInstanceStatusName": "running",
                        "cloudMysqlServerInstanceStatus": {
                            "code": "RUN",
                            "codeName": "CLOUD DATABASE(VPC) Server Running State"
                        },
                        "cloudMysqlServerInstanceOperation": {
                            "code": "NOOP",
                            "codeName": "CLOUD DATABASE(VPC) Server Null OP"
                        },
                        "cloudMysqlProductCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002",
                        "regionCode": "KR",
                        "zoneCode": "KR-2",
                        "vpcNo": "****83",
                        "subnetNo": "****93",
                        "isPublicSubnet": true,
                        "privateDomain": "db-****.vpc-cdb.ntruss.com",
                        "privateIp": "***.***.***.***",
                        "dataStorageType": {
                            "code": "SSD",
                            "codeName": "SSD"
                        },
                        "isStorageEncryption": true,
                        "dataStorageSize": 10737418240,
                        "usedDataStorageSize": 2791728640,
                        "cpuCount": 2,
                        "memorySize": 8589934592,
                        "uptime": "2024-05-23T11:34:05+0900",
                        "createDate": "2024-05-23T11:25:09+0900"
                    },
                    {
                        "cloudMysqlServerName": "test-recovery-001-exr",
                        "cloudMysqlServerRole": {
                            "code": "R",
                            "codeName": "Recovery"
                        },
                        "cloudMysqlServerInstanceStatusName": "creating",
                        "cloudMysqlServerInstanceStatus": {
                            "code": "PEND",
                            "codeName": "CLOUD DATABASE(VPC) Server Pending State"
                        },
                        "cloudMysqlServerInstanceOperation": {
                            "code": "CREAT",
                            "codeName": "CLOUD DATABASE(VPC) Server Create OP"
                        },
                        "cloudMysqlProductCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002",
                        "regionCode": "KR",
                        "zoneCode": "KR-1",
                        "vpcNo": "****83",
                        "subnetNo": "****91",
                        "isPublicSubnet": true,
                        "privateDomain": "db-****.vpc-cdb.ntruss.com",
                        "privateIp": "***.***.***.***",
                        "dataStorageType": {
                            "code": "SSD",
                            "codeName": "SSD"
                        },
                        "isStorageEncryption": true,
                        "dataStorageSize": 10737418240,
                        "cpuCount": 2,
                        "memorySize": 8589934592,
                        "createDate": "2024-05-23T17:33:11+0900"
                    }
                ]
            }
        ],
        "requestId": "09f9f997-****-****-****-510e790eb150",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<createCloudMysqlRecoveryInstanceResponse>
  <requestId>09f9f997-****-****-****-510e790eb150</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <cloudMysqlInstanceList>
    <cloudMysqlInstance>
      <cloudMysqlInstanceNo>****890</cloudMysqlInstanceNo>
      <cloudMysqlServiceName>test-****</cloudMysqlServiceName>
      <cloudMysqlInstanceStatusName>creating</cloudMysqlInstanceStatusName>
      <cloudMysqlInstanceStatus>
        <code>CREAT</code>
        <codeName>CLOUD DATABASE(VPC) Created State</codeName>
      </cloudMysqlInstanceStatus>
      <cloudMysqlInstanceOperation>
        <code>NULL</code>
        <codeName>CLOUD DATABASE(VPC) Null OP</codeName>
      </cloudMysqlInstanceOperation>
      <cloudMysqlImageProductCode>SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050</cloudMysqlImageProductCode>
      <engineVersion>MYSQL8.0.25</engineVersion>
      <license>
        <code>GPL</code>
        <codeName>General Public License</codeName>
      </license>
      <cloudMysqlPort>13306</cloudMysqlPort>
      <isHa>true</isHa>
      <isMultiZone>true</isMultiZone>
      <isBackup>true</isBackup>
      <backupFileRetentionPeriod>10</backupFileRetentionPeriod>
      <backupTime>02:00</backupTime>
      <generationCode>G2</generationCode>
      <createDate>2024-05-23T11:25:09+0900</createDate>
      <accessControlGroupNoList>
        <accessControlGroupNo>****58</accessControlGroupNo>
      </accessControlGroupNoList>
      <cloudMysqlConfigList />
      <cloudMysqlServerInstanceList>
        <cloudMysqlServerInstance>
          <cloudMysqlServerInstanceNo>****891</cloudMysqlServerInstanceNo>
          <cloudMysqlServerName>test-****-001-e04</cloudMysqlServerName>
          <cloudMysqlServerRole>
            <code>M</code>
            <codeName>Master</codeName>
          </cloudMysqlServerRole>
          <cloudMysqlServerInstanceStatusName>running</cloudMysqlServerInstanceStatusName>
          <cloudMysqlServerInstanceStatus>
            <code>RUN</code>
            <codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
          </cloudMysqlServerInstanceStatus>
          <cloudMysqlServerInstanceOperation>
            <code>NOOP</code>
            <codeName>CLOUD DATABASE(VPC) Server Null OP</codeName>
          </cloudMysqlServerInstanceOperation>
          <cloudMysqlProductCode>SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002</cloudMysqlProductCode>
          <regionCode>KR</regionCode>
          <zoneCode>KR-1</zoneCode>
          <vpcNo>****83</vpcNo>
          <subnetNo>****91</subnetNo>
          <isPublicSubnet>true</isPublicSubnet>
          <publicDomain>db-****.vpc-pub-cdb.ntruss.com</publicDomain>
          <privateDomain>db-****.vpc-cdb.ntruss.com</privateDomain>           
          <privateIp>***.***.***.***</privateIp>
          <dataStorageType>
            <code>SSD</code>
            <codeName>SSD</codeName>
          </dataStorageType>
          <isStorageEncryption>true</isStorageEncryption>
          <dataStorageSize>10737418240</dataStorageSize>
          <usedDataStorageSize>2791728640</usedDataStorageSize>
          <cpuCount>2</cpuCount>
          <memorySize>8589934592</memorySize>
          <uptime>2024-05-23T11:34:39+0900</uptime>
          <createDate>2024-05-23T11:25:09+0900</createDate>
        </cloudMysqlServerInstance>
        <cloudMysqlServerInstance>
          <cloudMysqlServerInstanceNo>****897</cloudMysqlServerInstanceNo>
          <cloudMysqlServerName>test-****-002-e05</cloudMysqlServerName>
          <cloudMysqlServerRole>
            <code>H</code>
            <codeName>Standby Master</codeName>
          </cloudMysqlServerRole>
          <cloudMysqlServerInstanceStatusName>running</cloudMysqlServerInstanceStatusName>
          <cloudMysqlServerInstanceStatus>
            <code>RUN</code>
            <codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
          </cloudMysqlServerInstanceStatus>
          <cloudMysqlServerInstanceOperation>
            <code>NOOP</code>
            <codeName>CLOUD DATABASE(VPC) Server Null OP</codeName>
          </cloudMysqlServerInstanceOperation>
          <cloudMysqlProductCode>SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002</cloudMysqlProductCode>
          <regionCode>KR</regionCode>
          <zoneCode>KR-2</zoneCode>
          <vpcNo>****83</vpcNo>
          <subnetNo>****93</subnetNo>
          <isPublicSubnet>true</isPublicSubnet>
          <privateDomain>db-****.vpc-cdb.ntruss.com</privateDomain>
          <privateIp>***.***.***.***</privateIp>
          <dataStorageType>
            <code>SSD</code>
            <codeName>SSD</codeName>
          </dataStorageType>
          <isStorageEncryption>true</isStorageEncryption>
          <dataStorageSize>10737418240</dataStorageSize>
          <usedDataStorageSize>2791728640</usedDataStorageSize>
          <cpuCount>2</cpuCount>
          <memorySize>8589934592</memorySize>
          <uptime>2024-05-23T11:34:05+0900</uptime>
          <createDate>2024-05-23T11:25:09+0900</createDate>
        </cloudMysqlServerInstance>
        <cloudMysqlServerInstance>
          <cloudMysqlServerName>test-recovery-001-4y9d</cloudMysqlServerName>
          <cloudMysqlServerRole>
            <code>R</code>
            <codeName>Recovery</codeName>
          </cloudMysqlServerRole>
          <cloudMysqlServerInstanceStatusName>creating</cloudMysqlServerInstanceStatusName>
          <cloudMysqlServerInstanceStatus>
            <code>PEND</code>
            <codeName>CLOUD DATABASE(VPC) Server Pending State</codeName>
          </cloudMysqlServerInstanceStatus>
          <cloudMysqlServerInstanceOperation>
            <code>CREAT</code>
            <codeName>CLOUD DATABASE(VPC) Server Create OP</codeName>
          </cloudMysqlServerInstanceOperation>
          <cloudMysqlProductCode>SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002</cloudMysqlProductCode>
          <regionCode>KR</regionCode>
          <zoneCode>KR-1</zoneCode>
          <vpcNo>****83</vpcNo>
          <subnetNo>****91</subnetNo>
          <isPublicSubnet>true</isPublicSubnet>
          <privateDomain>db-****.vpc-cdb.ntruss.com</privateDomain>
          <privateIp>***.***.***.***</privateIp>
          <dataStorageType>
            <code>SSD</code>
            <codeName>SSD</codeName>
          </dataStorageType>
          <isStorageEncryption>true</isStorageEncryption>
          <dataStorageSize>10737418240</dataStorageSize>
          <cpuCount>2</cpuCount>
          <memorySize>8589934592</memorySize>
          <createDate>2024-05-23T17:33:11+0900</createDate>
        </cloudMysqlServerInstance>
      </cloudMysqlServerInstanceList>
    </cloudMysqlInstance>
  </cloudMysqlInstanceList>
</createCloudMysqlRecoveryInstanceResponse>